---
title: "Get variants for a product"
description: "Get a list of variants for a specific product."
doc_type: openapi
doc_category: openapi
doc_version: v20260901
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/product-variant/get-product-variants'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/product-variant/get-product-variants.md'
---
# Get product variants

Get a list of variants for a specific product. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20260901
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/:product_id/variants.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `product_id`

  string (required)

  The unique identifier for the product. <br/>
  Maximum length：64 

### Query Parameters

* `fields`

  string (optional)

  Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `variants` object in the response. 

* `limit`

  string (optional)

  The quantity limit of variants to be queried.<br/>Value range: 1-250<br/>Default Value: `50`

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `since_id`

  string (optional)

  The ID of a specific variant. Start querying variants from this specified ID.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `variants`

  array<object>

  A list of product variants.

  * `compare_at_price`

    string

    The original price of the variant. The value is rounded to two decimal places.

  * `inventory_policy`

    string

    Indicates whether the variant is allowed to be oversold.
    - `deny`: Does not allow overselling.
    - `continue`: Allow overselling.

  * `option3`

    string

    Information of the third option of the variant.

  * `product_id`

    string

    The unique identifier for the product corresponding to the variant.

  * `inventory_quantity`

    integer

    The total inventory quantity at all storage locations.

  * `inventory_tracker`

    boolean

    Indicates whether the inventory tracking is enabled.
    - ` true`: Inventory tracking is enabled.
    - ` false`: Inventory tracking is not enabled.

  * `option2`

    string

    Information of the second option of the variant.

  * `option4`

    string

    Information of the fourth option of the variant.

  * `taxable`

    boolean

    Indicates whether the variant is subject to tax.
    - `true`: Tax is required.
    - `false`: Tax is not required.

  * `title`

    string

    The title of the variant, assembled from the option value of the variant.

  * `weight`

    string

    The weight of the variant. The value is rounded up if it exceeds two decimal places.

  * `weight_unit`

    string

    The unit of weight for the variant. Valid values are:
    - `g`: gram
    - `kg`: kilogram
    - `lb`: pound
    - `oz`: ounce
    - `zh_kg`: kilogram

  * `barcode`

    string

    The barcode of the variant.

  * `image`

    object

    The image of the variant.

    * `alt`

      string

      The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.

    * `id`

      string

      The unique identifier for the variant image.

    * `src`

      string

      The link to the variant image, represented as a URL.

  * `option1`

    string

    Information of the first option of the variant.

  * `price`

    string

    The selling price of the variant. The value is rounded to two decimal places.

  * `required_shipping`

    boolean

    Indicates whether the variant is required to be shipped.
    - `true`: Shipping is required.
    - `false`: Shipping is not required.

  * `sku`

    string

    The product SKU. It is distinct from `variants.id` returned by SHOPLINE.

  * `id`

    string

    The unique identifier for the variant.

  * `inventory_item_id`

    string

    The unique identifier for the inventory item.

  * `option5`

    string

    Information of the fifth option of the variant.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get product variants"
  ],
  "description": "Get a list of variants for a specific product. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "gH8FLtIV",
  "parameters": [
    {
      "name": "product_id",
      "in": "path",
      "description": "The unique identifier for the product. <br/>\nMaximum length：64 ",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "product_id",
        "description": "The unique identifier for the product. <br/>\nMaximum length：64 ",
        "type": "string",
        "example": "16057039432335097907370282"
      },
      "example": "16057039432335097907370282",
      "examples": {
        "Get all product variants": {
          "value": "16060895302856191591063144"
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `variants` object in the response. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `variants` object in the response. ",
        "type": "string",
        "example": "title,id"
      },
      "example": "title,id",
      "examples": {
        "Get all product variants": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "The quantity limit of variants to be queried.<br/>Value range: 1-250<br/>Default Value: `50`",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The quantity limit of variants to be queried.<br/>Value range: 1-250<br/>Default Value: `50`",
        "type": "string"
      },
      "examples": {
        "Get all product variants": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. \nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?\nlimit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of page_info is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get all product variants": {
          "value": ""
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "The ID of a specific variant. Start querying variants from this specified ID.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "The ID of a specific variant. Start querying variants from this specified ID.",
        "type": "string",
        "example": "18057039439794751459380282"
      },
      "example": "18057039439794751459380282",
      "examples": {
        "Get all product variants": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/:product_id/variants.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "variants": {
                "name": "variants",
                "description": "A list of product variants.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "compare_at_price": {
                      "name": "compare_at_price",
                      "description": "The original price of the variant. The value is rounded to two decimal places.",
                      "type": "string",
                      "example": "129.99"
                    },
                    "inventory_policy": {
                      "name": "inventory_policy",
                      "description": "Indicates whether the variant is allowed to be oversold.\n- `deny`: Does not allow overselling.\n- `continue`: Allow overselling.",
                      "type": "string"
                    },
                    "option3": {
                      "name": "option3",
                      "description": "Information of the third option of the variant.",
                      "type": "string",
                      "example": "cotton"
                    },
                    "product_id": {
                      "name": "product_id",
                      "description": "The unique identifier for the product corresponding to the variant.",
                      "type": "string",
                      "example": "16057039432335097907370282"
                    },
                    "inventory_quantity": {
                      "name": "inventory_quantity",
                      "description": "The total inventory quantity at all storage locations.",
                      "type": "integer",
                      "example": 99
                    },
                    "inventory_tracker": {
                      "name": "inventory_tracker",
                      "description": "Indicates whether the inventory tracking is enabled.\n- ` true`: Inventory tracking is enabled.\n- ` false`: Inventory tracking is not enabled.",
                      "type": "boolean"
                    },
                    "option2": {
                      "name": "option2",
                      "description": "Information of the second option of the variant.",
                      "type": "string",
                      "example": "xl"
                    },
                    "option4": {
                      "name": "option4",
                      "description": "Information of the fourth option of the variant.",
                      "type": "string",
                      "example": "short"
                    },
                    "taxable": {
                      "name": "taxable",
                      "description": "Indicates whether the variant is subject to tax.\n- `true`: Tax is required.\n- `false`: Tax is not required.",
                      "type": "boolean"
                    },
                    "title": {
                      "name": "title",
                      "description": "The title of the variant, assembled from the option value of the variant.",
                      "type": "string",
                      "example": "red · xl"
                    },
                    "weight": {
                      "name": "weight",
                      "description": "The weight of the variant. The value is rounded up if it exceeds two decimal places.",
                      "type": "string",
                      "example": "0.23"
                    },
                    "weight_unit": {
                      "name": "weight_unit",
                      "description": "The unit of weight for the variant. Valid values are:\n- `g`: gram\n- `kg`: kilogram\n- `lb`: pound\n- `oz`: ounce\n- `zh_kg`: kilogram",
                      "type": "string"
                    },
                    "barcode": {
                      "name": "barcode",
                      "description": "The barcode of the variant.",
                      "type": "string",
                      "example": "T0000001"
                    },
                    "image": {
                      "name": "image",
                      "description": "The image of the variant.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt."
                        },
                        "id": {
                          "name": "id",
                          "description": "The unique identifier for the variant image.",
                          "type": "string",
                          "example": "5785060242207917075"
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the variant image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "id": "5785060242207917075",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "option1": {
                      "name": "option1",
                      "description": "Information of the first option of the variant.",
                      "type": "string",
                      "example": "red"
                    },
                    "price": {
                      "name": "price",
                      "description": "The selling price of the variant. The value is rounded to two decimal places.",
                      "type": "string",
                      "example": "90.22"
                    },
                    "required_shipping": {
                      "name": "required_shipping",
                      "description": "Indicates whether the variant is required to be shipped.\n- `true`: Shipping is required.\n- `false`: Shipping is not required.",
                      "type": "boolean"
                    },
                    "sku": {
                      "name": "sku",
                      "description": "The product SKU. It is distinct from `variants.id` returned by SHOPLINE.",
                      "type": "string",
                      "example": "S000000001"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the variant.",
                      "type": "string",
                      "example": "18057039439794751459380282"
                    },
                    "inventory_item_id": {
                      "name": "inventory_item_id",
                      "description": "The unique identifier for the inventory item.",
                      "type": "string",
                      "example": "5785060242207917075"
                    },
                    "option5": {
                      "name": "option5",
                      "description": "Information of the fifth option of the variant.",
                      "type": "string",
                      "example": "casual"
                    }
                  },
                  "example": {
                    "inventory_quantity": 99,
                    "option3": "cotton",
                    "option5": "casual",
                    "price": "90.22",
                    "title": "red · xl",
                    "id": "18057039439794751459380282",
                    "image": {
                      "alt": "This is an image alt.",
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "option1": "red",
                    "option2": "xl",
                    "compare_at_price": "129.99",
                    "inventory_item_id": "5785060242207917075",
                    "inventory_tracker": null,
                    "option4": "short",
                    "product_id": "16057039432335097907370282",
                    "weight_unit": null,
                    "barcode": "T0000001",
                    "inventory_policy": null,
                    "required_shipping": null,
                    "sku": "S000000001",
                    "taxable": null,
                    "weight": "0.23"
                  }
                },
                "example": [
                  {
                    "title": "red · xl",
                    "weight": "0.23",
                    "weight_unit": null,
                    "compare_at_price": "129.99",
                    "inventory_policy": null,
                    "option1": "red",
                    "option3": "cotton",
                    "inventory_item_id": "5785060242207917075",
                    "inventory_quantity": 99,
                    "inventory_tracker": null,
                    "option4": "short",
                    "price": "90.22",
                    "product_id": "16057039432335097907370282",
                    "sku": "S000000001",
                    "barcode": "T0000001",
                    "image": {
                      "alt": "This is an image alt.",
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "option2": "xl",
                    "taxable": null,
                    "id": "18057039439794751459380282",
                    "option5": "casual",
                    "required_shipping": null
                  }
                ]
              }
            },
            "example": {
              "variants": [
                {
                  "id": "18057039439794751459380282",
                  "inventory_item_id": "5785060242207917075",
                  "option1": "red",
                  "option3": "cotton",
                  "option4": "short",
                  "option5": "casual",
                  "price": "90.22",
                  "required_shipping": null,
                  "inventory_quantity": 99,
                  "inventory_tracker": null,
                  "taxable": null,
                  "title": "red · xl",
                  "inventory_policy": null,
                  "option2": "xl",
                  "product_id": "16057039432335097907370282",
                  "sku": "S000000001",
                  "weight_unit": null,
                  "barcode": "T0000001",
                  "compare_at_price": "129.99",
                  "image": {
                    "alt": "This is an image alt.",
                    "id": "5785060242207917075",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "weight": "0.23"
                }
              ]
            }
          },
          "examples": {
            "Get all product variants": {
              "description": "Get all product variants.",
              "value": {
                "variants": [
                  {
                    "inventory_item_id": "6089530288991379429",
                    "inventory_policy": "deny",
                    "inventory_quantity": 0,
                    "inventory_tracker": true,
                    "option1": "L",
                    "sku": "S0000001",
                    "barcode": "T0000001",
                    "title": "L · White",
                    "weight": "0.20",
                    "weight_unit": "kg",
                    "image": {
                      "alt": "my image alt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "option2": "White",
                    "price": "90.00",
                    "taxable": true,
                    "compare_at_price": "99.00",
                    "id": "18060895302863070249743144",
                    "product_id": "16060895302856191591063144",
                    "required_shipping": true
                  },
                  {
                    "option1": "XL",
                    "option2": "White",
                    "price": "100.00",
                    "image": {
                      "alt": "Thisisaimagealt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "inventory_item_id": "6089530288991379430",
                    "inventory_policy": "deny",
                    "inventory_tracker": true,
                    "product_id": "16060895302856191591063144",
                    "sku": "S00000000102",
                    "weight_unit": "g",
                    "barcode": "B0000000001",
                    "inventory_quantity": 0,
                    "taxable": true,
                    "title": "XL · White",
                    "weight": "50.00",
                    "required_shipping": true,
                    "compare_at_price": "120.00",
                    "id": "18060895302863070249833144"
                  },
                  {
                    "price": "100.00",
                    "taxable": true,
                    "weight_unit": "g",
                    "inventory_tracker": true,
                    "compare_at_price": "120.00",
                    "inventory_item_id": "6089530288991379428",
                    "inventory_policy": "deny",
                    "inventory_quantity": 0,
                    "product_id": "16060895302856191591063144",
                    "required_shipping": true,
                    "sku": "S00000000103",
                    "weight": "50.00",
                    "barcode": "B0000000001",
                    "id": "18060895302863070249893144",
                    "image": {
                      "alt": "Thisisaimagealt",
                      "id": "6089530275430875206",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "option1": "XXL",
                    "title": "XXL · White",
                    "option2": "White"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/:product_id/variants.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get product variants",
    "version": "v20260901"
  },
  "authIndexes": [
    "read_products"
  ]
}
```